# $Revision: 1.18 $, $Date: 2004/08/22 09:29:04 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	OLE
%define	pnam	Storage_Lite
Summary:	OLE::Storage_Lite Perl module - simple class for OLE document interface
Summary(pl):	Modu Perla OLE::Storage_Lite - prosta klasa obsugujca interfejs dokumentw OLE
Name:		perl-OLE-Storage_Lite
Version:	0.13
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	e0fabec930f38f24803b80070eedc891
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	perl-IO-stringy
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module allows you to read and write an OLE-Structured file.
The module will work on the majority of Windows, UNIX and Macintosh
platforms.

%description -l pl
Modu ten umoliwia odczyt i zapis plikw w standardziee OLE.
Jest niezaleny od platformy systemowej i powinien dziaa na systemach
Windows, UNIX i Macintosh.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT
install sample/{README,*.pl,*xls} $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/OLE/*.pm
%{_mandir}/man3/*
%{_examplesdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-OLE-Storage_Lite.spec,v $
Revision 1.18  2004/08/22 09:29:04  adamg
- updated to 0.13

Revision 1.17  2004/06/05 20:26:53  radek
- massive: unfold macros in name/summary & other unifications

Revision 1.16  2004/06/01 19:38:39  adamg
- updated to 0.12

Revision 1.15  2004/05/06 18:01:30  ankry
- fixed perl-devel BR

Revision 1.14  2004/04/27 14:11:48  ankry
- cosmetics

Revision 1.13  2004/04/25 00:50:58  ankry
- cosmetics: unification

Revision 1.12  2004/04/21 00:10:18  ankry
- ported to new bconds

Revision 1.11  2004/04/15 05:47:56  ankry
- some summary, description and license fixes

Revision 1.10  2003/09/09 10:24:44  ankry
- spaces -> tab

Revision 1.9  2003/08/18 08:09:06  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.8  2003/05/28 13:00:56  malekith
- massive attack: source-md5

Revision 1.7  2003/05/25 06:24:52  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.6  2003/04/11 18:59:26  radek
- BR: perl-devel; do not BR: perl

Revision 1.5  2003/03/01 20:22:18  radek
- should be ready for perl-5.8.0; release++

Revision 1.4  2003/02/25 00:41:03  radek
- use the __perl macro

Revision 1.3  2003/02/18 15:37:32  ankry
- massive attack: change CPAN URLs

Revision 1.2  2002/11/26 10:03:16  mis
- autoupdated to 0.11

Revision 1.1  2002/09/03 08:35:44  grabba
- first version

